%define upstream_name    FileHandle-Unget
%define	upstream_version 0.1628

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Epoch:      1

Summary:    Perl modules that allow to place back more than one byte on a Filehandle
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://www.cpan.org
Source0:    http://search.cpan.org/CPAN/authors/id/D/DC/DCOPPIT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

%description
FileHandle::Unget is a perl module that is a drop-in replacement for the 
standard FileHandle perl module. It allows more than one byte to be placed back
on the input.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%make_install

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README TODO
%{perl_vendorlib}/FileHandle/Unget.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1:0.162.800-3.mga6
+ Revision: 1027310
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1:0.162.800-2.mga6
+ Revision: 968086
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1:0.162.800-1.mga6
+ Revision: 851222
- update to 0.1628

* Wed Oct 15 2014 umeabot <umeabot> 1:0.162.300-5.mga5
+ Revision: 744644
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.162.300-4.mga5
+ Revision: 684787
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.162.300-3.mga4
+ Revision: 511679
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.162.300-2.mga3
+ Revision: 367451
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1:0.162.300-1.mga1
+ Revision: 26224
- mageia rebuild
- imported package perl-FileHandle-Unget


* Wed Sep 02 2009 Jérôme Quelin <jquelin@mandriva.org> 1:0.162.300-1mdv2010.0
+ Revision: 424341
- update to 0.1623
- bumping epoch
- rebuild using %%perl_convert_version

  + Michael Scherer <misc@mandriva.org>
    - better description, stolen from Debian

* Fri Jul 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1622-1mdv2009.0
+ Revision: 238035
- update to new version 0.1622

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.1621-2mdv2008.1
+ Revision: 135841
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1621-2mdv2008.0
+ Revision: 86405
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1621-1mdv2007.0
- rebuild

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1621-1mdk
- initial Mandriva package

